### Class

# Shumate VectorRenderer

#### Description [src]

    final class Shumate.VectorRenderer : Shumate.MapSource
      implements Gio.Initable {
      /* No available fields */
    }

A `ShumateMapSource` that renders tiles from a given vector data source.

#### Ancestors

- ShumateMapSource
- GObject

#### Implements

- GInitable

#### Constructors

###### shumate_vector_renderer_new

Creates a new `ShumateVectorRenderer` from the given JSON style.

#### Functions

###### shumate_vector_renderer_is_supported

Checks whether libshumate was compiled with vector tile support. If it was not, vector renderers cannot be created or used.

#### Instance methods

###### shumate_vector_renderer_get_sprite_sheet

Gets the sprite sheet used to render icons and textures.

since: 1.1

###### shumate_vector_renderer_set_data_source

Adds a data source to the renderer.

since: 1.2

###### shumate_vector_renderer_set_sprite_sheet

Sets the sprite sheet used to render icons and textures.

since: 1.1

###### shumate_vector_renderer_set_sprite_sheet_data

Sets the sprite sheet used by the style JSON to render icons and textures.

deprecated: 1.1

##### Methods inherited from ShumateMapSource (26)

Please see ShumateMapSource for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### Shumate.VectorRenderer:sprite-sheet

The sprite sheet used to render icons and textures.

since: 1.1

###### Shumate.VectorRenderer:style-json

A map style, in Mapbox Style Specification format.

##### Properties inherited from ShumateMapSource (8)

###### Shumate.MapSource:id

The id of the map source.

###### Shumate.MapSource:license

The usage license of the map source.

###### Shumate.MapSource:license-uri

The usage license’s uri for more information.

###### Shumate.MapSource:max-zoom-level

The maximum zoom level.

###### Shumate.MapSource:min-zoom-level

The minimum zoom level.

###### Shumate.MapSource:name

The name of the map source.

###### Shumate.MapSource:projection

The map projection of the map source.

###### Shumate.MapSource:tile-size

The tile size of the map source.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ShumateVectorRendererClass {
      ShumateMapSourceClass parent_class;

    }

No description available.

###### Class members

`parent_class: ShumateMapSourceClass`

  No description available.